#####################################################################
#                                                                   #
# __init__.py                                                       #
#                                                                   #
# Copyright 2013, Christopher Billington, Philip Starkey            #
#                                                                   #
# This file is part of the qtutils project                          #
# (see https://bitbucket.org/philipstarkey/qtutils )                #
# and is licensed under the 2-clause, or 3-clause, BSD License.     #
# See the license.txt file in the root of the project               #
# for the full license.                                             #
#                                                                   #
#####################################################################

from __future__ import division, unicode_literals, print_function, absolute_import
import sys
PY2 = sys.version_info[0] == 2
if PY2:
    str = unicode

try:
    from .__version__ import __version__
except ImportError:
    # Version file has not been autogenerated from build process:
    __version__ = None

from qtutils.qt.QtCore import qInstallMessageHandler
from qtutils.locking import qtlock

qtlock.enforce()

from qtutils.invoke_in_main import inmain, inmain_later, inthread, inmain_decorator

from qtutils.qsettings_wrapper import QSettingsWrapper
from qtutils.disconnect_contextmanager import DisconnectContextManager
from qtutils.UiLoader import UiLoader
